# __gnu_cxx::unary_compose< _Operation1, _Operation2 > Class Template Reference
[STL extensions from SGI]

An SGI extension . More...

Inheritance diagram for __gnu_cxx::unary_compose< _Operation1, _Operation2 >:

[legend]
Collaboration diagram for __gnu_cxx::unary_compose< _Operation1, _Operation2 >:

[legend]
List of all members.

## Public Types

typedef _Arg | argument_type
| `argument_type` is the type of the argument (no surprises here)
typedef _Result | result_type
| `result_type` is the return type

## Detailed Description

### template<class _Operation1, class _Operation2>
class __gnu_cxx::unary_compose< _Operation1, _Operation2 >

An SGI extension .

Definition at line 124 of file ext/functional.

## Member Typedef Documentation

template<class _Arg, class _Result>
typedef _Arg std::unary_function< _Arg, _Result >::argument_type`[inherited]`

| `argument_type` is the type of the argument (no surprises here) Definition at line 103 of file stl_function.h.

template<class _Arg, class _Result>
typedef _Result std::unary_function< _Arg, _Result >::result_type`[inherited]`

| `result_type` is the return type Definition at line 104 of file stl_function.h.

The documentation for this class was generated from the following file:

- ext/functional